From 990b3b8016beed5cbeb12b69accf36018e467b11 Mon Sep 17 00:00:00 2001
From: Matt Whitlock <c-lightning@mattwhitlock.name>
Date: Wed, 18 Sep 2024 14:08:31 -0400
Subject: [PATCH] tools/headerversions.c: fix build without SQLite

Commit 531845971cf94d8e5c0de67c8531578bc2656353 broke the build without
SQLite because this code:

	new = tal_fmt(NULL, template,
	              IF_SQLITE3(sqlite3_libversion_number()));

preprocesses into:

	new = tal_fmt(NULL, template,
	              );

which has a syntax error. Fix it by moving the comma into the macro
argument.

Fixes: 531845971cf94d8e5c0de67c8531578bc2656353
Changelog-None
---
 tools/headerversions.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tools/headerversions.c b/tools/headerversions.c
index d2a0f85db89a33b34b2879f4d694cdcbd6d9f390..4c798b43f8d5bf20d86d1bb33faf91d90c1dcb88 100644
--- a/tools/headerversions.c
+++ b/tools/headerversions.c
@@ -49,8 +49,8 @@ int main(int argc, char *argv[])
 	if (!file && errno != ENOENT)
 		err(1, "Reading %s", argv[1]);
 
-	new = tal_fmt(NULL, template,
-		      IF_SQLITE3(sqlite3_libversion_number()));
+	new = tal_fmt(NULL, template
+		      IF_SQLITE3(, sqlite3_libversion_number()));
 	if (!file || !streq(new, file)) {
 		int fd = open(argv[1], O_TRUNC|O_WRONLY|O_CREAT, 0666);
 		if (fd < 0)
